import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { BoolFilterObjectSchema as BoolFilterObjectSchema } from './BoolFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema';
import { PatientScalarRelationFilterObjectSchema as PatientScalarRelationFilterObjectSchema } from './PatientScalarRelationFilter.schema';
import { PatientWhereInputObjectSchema as PatientWhereInputObjectSchema } from './PatientWhereInput.schema';
import { UserScalarRelationFilterObjectSchema as UserScalarRelationFilterObjectSchema } from './UserScalarRelationFilter.schema';
import { UserWhereInputObjectSchema as UserWhereInputObjectSchema } from './UserWhereInput.schema'

const patientconversationwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => PatientConversationWhereInputObjectSchema), z.lazy(() => PatientConversationWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => PatientConversationWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => PatientConversationWhereInputObjectSchema), z.lazy(() => PatientConversationWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  patientId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  stage: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  aiHandoff: z.union([z.lazy(() => BoolFilterObjectSchema), z.boolean()]).optional(),
  updatedAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional(),
  patient: z.union([z.lazy(() => PatientScalarRelationFilterObjectSchema), z.lazy(() => PatientWhereInputObjectSchema)]).optional(),
  user: z.union([z.lazy(() => UserScalarRelationFilterObjectSchema), z.lazy(() => UserWhereInputObjectSchema)]).optional()
}).strict();
export const PatientConversationWhereInputObjectSchema: z.ZodType<Prisma.PatientConversationWhereInput> = patientconversationwhereinputSchema as unknown as z.ZodType<Prisma.PatientConversationWhereInput>;
export const PatientConversationWhereInputObjectZodSchema = patientconversationwhereinputSchema;
